
public class h extends Class568 implements Interface49 {

   Class166[] aClass166Array7625;
   ja aja7626;
   ba aba7627;
   Class80[] aClass80Array7628;
   long nativeid;


   public native void ay(int var1);

   h(ja var1) {
      this.aja7626 = var1;
      this.aba7627 = null;
      this.ba(var1);
   }

   native void bh();

   native void ba(ja var1);

   native void cf(int var1, int var2, int var3, int var4);

   public native void ma(boolean var1);

   public void method12075(Class328 var1) {
      this.method12253(ja.af, var1);
      int var2 = 0;
      int var3;
      if(this.aClass80Array7628 != null) {
         for(var3 = 0; var3 < this.aClass80Array7628.length; ++var3) {
            Class80 var4 = this.aClass80Array7628[var3];
            var4.anInt818 = ja.af[var2++] * -106916481;
            var4.anInt819 = ja.af[var2++] * 1242813859;
            var4.anInt820 = ja.af[var2++] * -1262846693;
            var4.anInt821 = ja.af[var2++] * 1390482017;
            var4.anInt822 = ja.af[var2++] * 113198053;
            var4.anInt812 = ja.af[var2++] * -345033777;
            var4.anInt814 = ja.af[var2++] * 1898027;
            var4.anInt825 = ja.af[var2++] * 572237437;
            var4.anInt826 = ja.af[var2++] * -1729217923;
         }
      }

      if(this.aClass166Array7625 != null) {
         for(var3 = 0; var3 < this.aClass166Array7625.length; ++var3) {
            Class166 var6 = this.aClass166Array7625[var3];
            Class166 var5 = var6;
            if(var6.aClass166_2016 != null) {
               var5 = var6.aClass166_2016;
            }

            if(var6.aClass317_2019 == null) {
               var6.aClass317_2019 = new Class317();
            }

            var6.aClass317_2019.method5613(var1);
            var5.anInt2018 = ja.af[var2++] * -404024063;
            var5.anInt2015 = ja.af[var2++] * -212113837;
            var5.anInt2020 = ja.af[var2++] * -306574699;
         }
      }

   }

   native void gv(ja var1);

   public Class568 method12060(byte var1, int var2, boolean var3) {
      return this.aja7626.nc().method588(this, var1, var2, var3);
   }

   native void BA(h var1, h var2, int var3, boolean var4, boolean var5);

   public native void KA(int var1);

   public void method12112(Class328 var1, int var2, boolean var3) {
      Class317 var4 = this.aja7626.nc().aClass317_116;
      var4.method5613(var1);
      this.aa(var4.aFloatArray4000, var2, var3);
   }

   public Class568 method12082(byte var1, int var2, boolean var3) {
      return this.aja7626.nc().method588(this, var1, var2, var3);
   }

   public native void f(int var1);

   public native void S(int var1);

   public native int ce();

   public native void EA(int var1);

   public native void ia(int var1, int var2, int var3);

   public native void wa();

   public native void bz(int var1, int var2, int var3);

   native void U(ja var1, ba var2, int var3, int var4, int[] var5, int[] var6, int[] var7, int[] var8, short[] var9, int var10, short[] var11, short[] var12, short[] var13, byte[] var14, byte[] var15, byte[] var16, byte[] var17, short[] var18, short[] var19, int[] var20, byte var21, short[] var22, int var23, byte[] var24, short[] var25, short[] var26, short[] var27, int[] var28, int[] var29, int[] var30, byte[] var31, byte[] var32, int[] var33, int[] var34, int[] var35, int[] var36, int var37, int var38, int var39, int var40, int var41, int var42, int[] var43);

   public native byte[] dy();

   void method12127() {
      if(this.aja7626.an > 1) {
         synchronized(this) {
            this.aBool7555 = false;
            this.notifyAll();
         }
      }

   }

   native boolean ea();

   final void method12093(int var1, int[] var2, int var3, int var4, int var5, int var6, boolean var7) {
      this.J(this.nativeid, var1, var2, var3, var4, var5, var6, var7);
   }

   native void J(long var1, int var3, int[] var4, int var5, int var6, int var7, int var8, boolean var9);

   native void e(int var1, int[] var2, int var3, int var4, int var5, boolean var6, int var7, int[] var8);

   native void w(int var1, int var2, int var3, int var4);

   public void method12099(Class328 var1, int var2, boolean var3) {
      Class317 var4 = this.aja7626.nc().aClass317_116;
      var4.method5613(var1);
      this.aa(var4.aFloatArray4000, var2, var3);
   }

   public void method12114(Class328 var1, int var2, boolean var3) {
      Class317 var4 = this.aja7626.nc().aClass317_116;
      var4.method5613(var1);
      this.aa(var4.aFloatArray4000, var2, var3);
   }

   public native void bp();

   public void method12110() {}

   public native int m();

   public native Class225_Sub14_Sub16 ga(Class225_Sub14_Sub16 var1);

   public native int N();

   public native int n();

   public native int RA();

   public native int ya();

   public native int dp();

   public native int o();

   public native int AA();

   public native int ha();

   public void method12100() {}

   public native void Q(int var1);

   public native int c();

   public native int Z();

   public native byte[] ao();

   public void finalize() {
      if(this.nativeid != 0L) {
         Class164.method2837(this, 1259112161);
      }

   }

   public void method12072(byte var1, byte[] var2) {
      this.IA(var1, var2);
   }

   native void IA(byte var1, byte[] var2);

   public boolean method12107() {
      return true;
   }

   public native void pa(int var1, int var2, Class400 var3, Class400 var4, int var5, int var6, int var7);

   public native void W(short var1, short var2);

   public native boolean i();

   public native void oa(int var1, int var2, int var3);

   public Class80[] method12076() {
      return this.aClass80Array7628;
   }

   public Class166[] method12077() {
      return this.aClass166Array7625;
   }

   public void method12078(Class568 var1, int var2, int var3, int var4, boolean var5) {
      this.aja7626.nc().method562(this, var1, var2, var3, var4, var5);
   }

   void method12086() {
      if(this.aja7626.an > 1) {
         synchronized(this) {
            while(this.aBool7555) {
               try {
                  this.wait();
               } catch (InterruptedException var4) {
                  ;
               }
            }

            this.aBool7555 = true;
         }
      }

   }

   public native void db(int var1);

   public Class568 method12081(byte var1, int var2, boolean var3) {
      return this.aja7626.nc().method588(this, var1, var2, var3);
   }

   public boolean method12070(int var1, int var2, Class328 var3, boolean var4, int var5) {
      return this.aja7626.nc().method577(this, var1, var2, var3, var4);
   }

   public native int ab();

   public native void am(int var1);

   void method12063() {
      if(this.aja7626.an > 1) {
         synchronized(this) {
            while(this.aBool7555) {
               try {
                  this.wait();
               } catch (InterruptedException var4) {
                  ;
               }
            }

            this.aBool7555 = true;
         }
      }

   }

   public native void ac(int var1);

   public native void av(int var1);

   public native void ak(int var1);

   public native void af(int var1);

   public native void bi(int var1);

   public native void br(int var1);

   public native void bq(int var1);

   public native void bg(int var1);

   public native void bk(int var1);

   public void method12115(byte var1, byte[] var2) {
      this.IA(var1, var2);
   }

   public native void bf(int var1);

   void method12252() {
      if(this.nativeid != 0L) {
         Class164.method2837(this, 2009566368);
      }

   }

   public native void t(int var1);

   public native void bo(int var1, int var2, int var3);

   public native void bb(int var1, int var2, int var3);

   public native void by(int var1, int var2, Class400 var3, Class400 var4, int var5, int var6, int var7);

   public void method12079(Class568 var1, int var2, int var3, int var4, boolean var5) {
      this.aja7626.nc().method562(this, var1, var2, var3, var4, var5);
   }

   public native int cg();

   void method12085() {
      if(this.aja7626.an > 1) {
         synchronized(this) {
            while(this.aBool7555) {
               try {
                  this.wait();
               } catch (InterruptedException var4) {
                  ;
               }
            }

            this.aBool7555 = true;
         }
      }

   }

   public void method12139(Class328 var1, int var2, boolean var3) {
      Class317 var4 = this.aja7626.nc().aClass317_116;
      var4.method5613(var1);
      this.aa(var4.aFloatArray4000, var2, var3);
   }

   void method12087() {
      if(this.aja7626.an > 1) {
         synchronized(this) {
            this.aBool7555 = false;
            this.notifyAll();
         }
      }

   }

   void method12088() {
      if(this.aja7626.an > 1) {
         synchronized(this) {
            this.aBool7555 = false;
            this.notifyAll();
         }
      }

   }

   native boolean bt();

   native void co(int var1, int[] var2, int var3, int var4, int var5, boolean var6, int var7, int[] var8);

   native boolean bc();

   native void bx();

   native void be();

   native void bm();

   public native int de();

   final void method12089(int var1, int[] var2, int var3, int var4, int var5, int var6, boolean var7) {
      this.J(this.nativeid, var1, var2, var3, var4, var5, var6, var7);
   }

   native void cu(int var1, int[] var2, int var3, int var4, int var5, boolean var6, int var7, int[] var8);

   public native int ca();

   public native void p(int var1);

   native void cy(int var1, int var2, int var3, int var4);

   native void cv(int var1, int var2, int var3, int var4);

   public void method12090(Class328 var1, Class89 var2, int var3) {
      if(var2 == null) {
         this.aja7626.nc().method563(this, var1, (int[])null, var3);
      } else {
         ja.ac[5] = 0;
         this.aja7626.nc().method563(this, var1, ja.ac, var3);
         var2.anInt884 = ja.ac[0];
         var2.anInt888 = ja.ac[1];
         var2.anInt887 = ja.ac[2];
         var2.anInt885 = ja.ac[3];
         var2.anInt883 = ja.ac[4];
         var2.aBool886 = ja.ac[5] != 0;
      }

   }

   public void method12091(Class328 var1, Class89 var2, int var3) {
      if(var2 == null) {
         this.aja7626.nc().method563(this, var1, (int[])null, var3);
      } else {
         ja.ac[5] = 0;
         this.aja7626.nc().method563(this, var1, ja.ac, var3);
         var2.anInt884 = ja.ac[0];
         var2.anInt888 = ja.ac[1];
         var2.anInt887 = ja.ac[2];
         var2.anInt885 = ja.ac[3];
         var2.anInt883 = ja.ac[4];
         var2.aBool886 = ja.ac[5] != 0;
      }

   }

   public void method12092(Class328 var1, Class89 var2, int var3) {
      if(var2 == null) {
         this.aja7626.nc().method563(this, var1, (int[])null, var3);
      } else {
         ja.ac[5] = 0;
         this.aja7626.nc().method563(this, var1, ja.ac, var3);
         var2.anInt884 = ja.ac[0];
         var2.anInt888 = ja.ac[1];
         var2.anInt887 = ja.ac[2];
         var2.anInt885 = ja.ac[3];
         var2.anInt883 = ja.ac[4];
         var2.aBool886 = ja.ac[5] != 0;
      }

   }

   void method12084() {
      if(this.aja7626.an > 1) {
         synchronized(this) {
            while(this.aBool7555) {
               try {
                  this.wait();
               } catch (InterruptedException var4) {
                  ;
               }
            }

            this.aBool7555 = true;
         }
      }

   }

   public Class166[] method12103() {
      return this.aClass166Array7625;
   }

   public void method12095(Class328 var1) {
      this.method12253(ja.af, var1);
      int var2 = 0;
      int var3;
      if(this.aClass80Array7628 != null) {
         for(var3 = 0; var3 < this.aClass80Array7628.length; ++var3) {
            Class80 var4 = this.aClass80Array7628[var3];
            var4.anInt818 = ja.af[var2++] * -106916481;
            var4.anInt819 = ja.af[var2++] * 1242813859;
            var4.anInt820 = ja.af[var2++] * -1262846693;
            var4.anInt821 = ja.af[var2++] * 1390482017;
            var4.anInt822 = ja.af[var2++] * 113198053;
            var4.anInt812 = ja.af[var2++] * -345033777;
            var4.anInt814 = ja.af[var2++] * 1898027;
            var4.anInt825 = ja.af[var2++] * 572237437;
            var4.anInt826 = ja.af[var2++] * -1729217923;
         }
      }

      if(this.aClass166Array7625 != null) {
         for(var3 = 0; var3 < this.aClass166Array7625.length; ++var3) {
            Class166 var6 = this.aClass166Array7625[var3];
            Class166 var5 = var6;
            if(var6.aClass166_2016 != null) {
               var5 = var6.aClass166_2016;
            }

            if(var6.aClass317_2019 == null) {
               var6.aClass317_2019 = new Class317();
            }

            var6.aClass317_2019.method5613(var1);
            var5.anInt2018 = ja.af[var2++] * -404024063;
            var5.anInt2015 = ja.af[var2++] * -212113837;
            var5.anInt2020 = ja.af[var2++] * -306574699;
         }
      }

   }

   public native Class225_Sub14_Sub16 ch(Class225_Sub14_Sub16 var1);

   native void go(long var1, int var3, int[] var4, int var5, int var6, int var7, int var8, boolean var9);

   public native int cz();

   public native int cp();

   public native int ck();

   public native int ct();

   public void method12069(Class328 var1, Class89 var2, int var3) {
      if(var2 == null) {
         this.aja7626.nc().method563(this, var1, (int[])null, var3);
      } else {
         ja.ac[5] = 0;
         this.aja7626.nc().method563(this, var1, ja.ac, var3);
         var2.anInt884 = ja.ac[0];
         var2.anInt888 = ja.ac[1];
         var2.anInt887 = ja.ac[2];
         var2.anInt885 = ja.ac[3];
         var2.anInt883 = ja.ac[4];
         var2.aBool886 = ja.ac[5] != 0;
      }

   }

   public native int ci();

   public native int cl();

   void method12253(int[] var1, Class328 var2) {
      this.aja7626.nc().method566(this, var1, var2);
   }

   public native void y(boolean var1);

   public native int cn();

   public native int cs();

   native void gh(ja var1, ba var2, int var3, int var4, int[] var5, int[] var6, int[] var7, int[] var8, short[] var9, int var10, short[] var11, short[] var12, short[] var13, byte[] var14, byte[] var15, byte[] var16, byte[] var17, short[] var18, short[] var19, int[] var20, byte var21, short[] var22, int var23, byte[] var24, short[] var25, short[] var26, short[] var27, int[] var28, int[] var29, int[] var30, byte[] var31, byte[] var32, int[] var33, int[] var34, int[] var35, int[] var36, int var37, int var38, int var39, int var40, int var41, int var42, int[] var43);

   public native int native_do();

   public native void ds(int var1);

   public native void dr(int var1);

   public native int en();

   public native void dc(int var1);

   public native void dw(int var1);

   public native void bu(int var1, int var2, Class400 var3, Class400 var4, int var5, int var6, int var7);

   void method12254() {
      if(this.nativeid != 0L) {
         Class164.method2837(this, 2109364151);
      }

   }

   public native int dt();

   public native int dm();

   public native int dd();

   public native boolean u();

   public native int dx();

   public native int dv();

   public boolean method12061(int var1, int var2, Class328 var3, boolean var4, int var5) {
      return this.aja7626.nc().method577(this, var1, var2, var3, var4);
   }

   public native byte[] da();

   public native void dq(short var1, short var2);

   public native void dj(short var1, short var2);

   public native void dg(int var1, int var2, int var3, int var4);

   public Class80[] method12105() {
      return this.aClass80Array7628;
   }

   public Class80[] method12062() {
      return this.aClass80Array7628;
   }

   native void ka();

   public boolean method12104(int var1, int var2, Class328 var3, boolean var4, int var5) {
      return this.aja7626.nc().method577(this, var1, var2, var3, var4);
   }

   public boolean method12108() {
      return true;
   }

   public native boolean di();

   public native boolean df();

   public native boolean ee();

   public native boolean er();

   public native boolean eo();

   native void aa(float[] var1, int var2, boolean var3);

   void method12255() {
      if(this.nativeid != 0L) {
         Class164.method2837(this, 1492325496);
      }

   }

   h(ja var1, ba var2, Class96 var3, int var4, int var5, int var6, int var7) {
      this.aja7626 = var1;
      this.aba7627 = var2;
      this.aClass80Array7628 = var3.aClass80Array971;
      this.aClass166Array7625 = var3.aClass166Array979;
      int var8 = var3.aClass80Array971 == null?0:var3.aClass80Array971.length;
      int var9 = var3.aClass166Array979 == null?0:var3.aClass166Array979.length;
      int var10 = 0;
      int[] var11 = new int[var8 * 3 + var9];

      int var12;
      for(var12 = 0; var12 < var8; ++var12) {
         var11[var10++] = this.aClass80Array7628[var12].anInt823 * -1938327915;
         var11[var10++] = this.aClass80Array7628[var12].anInt817 * 155642623;
         var11[var10++] = this.aClass80Array7628[var12].anInt816 * 1387679;
      }

      for(var12 = 0; var12 < var9; ++var12) {
         var11[var10++] = this.aClass166Array7625[var12].anInt2017 * 1229316477;
      }

      var12 = var3.aClass92Array980 == null?0:var3.aClass92Array980.length;
      int[] var13 = new int[var12 * 8];
      int var14 = 0;

      int var15;
      Class92 var16;
      for(var15 = 0; var15 < var12; ++var15) {
         var16 = var3.aClass92Array980[var15];
         Class363 var17 = Class365.method6498(var16.anInt907 * -1088039237, (byte)27);
         var13[var14++] = var16.anInt910 * -1848462151;
         var13[var14++] = var17.anInt4517 * -1285243639;
         var13[var14++] = var17.anInt4514 * 329927051;
         var13[var14++] = var17.anInt4512 * 1783365595;
         var13[var14++] = var17.anInt4516 * 1064097259;
         var13[var14++] = var17.anInt4515 * -2026459051;
         var13[var14++] = var17.aBool4518?-1:0;
      }

      for(var15 = 0; var15 < var12; ++var15) {
         var16 = var3.aClass92Array980[var15];
         var13[var14++] = var16.anInt909 * -1894700815;
      }

      this.U(this.aja7626, this.aba7627, var3.anInt962, var3.anInt946, var3.anIntArray970, var3.anIntArray948, var3.anIntArray968, var3.anIntArray950, var3.aShortArray953, var3.anInt952, var3.aShortArray955, var3.aShortArray954, var3.aShortArray945, var3.aByteArray956, var3.aByteArray978, var3.aByteArray958, var3.aByteArray951, var3.aShortArray960, var3.aShortArray961, var3.anIntArray944, var3.aByte963, var3.aShortArray964, var3.anInt965, var3.aByteArray957, var3.aShortArray967, var3.aShortArray977, var3.aShortArray969, var3.anIntArray966, var3.anIntArray949, var3.anIntArray972, var3.aByteArray976, var3.aByteArray959, var3.anIntArray973, var3.anIntArray974, var3.anIntArray975, var11, var8, var9, var4, var5, var6, var7, var13);
   }

   public native void PA(int var1, int var2, int var3, int var4);

   public void method12111() {}

   public void method12080(Class568 var1, int var2, int var3, int var4, boolean var5) {
      this.aja7626.nc().method562(this, var1, var2, var3, var4, var5);
   }

   public native int dk();

   public void method12106(Class328 var1, int var2, boolean var3) {
      Class317 var4 = this.aja7626.nc().aClass317_116;
      var4.method5613(var1);
      this.aa(var4.aFloatArray4000, var2, var3);
   }

   native boolean bn();

   public native int cb();

   public void method12113(Class328 var1, int var2, boolean var3) {
      Class317 var4 = this.aja7626.nc().aClass317_116;
      var4.method5613(var1);
      this.aa(var4.aFloatArray4000, var2, var3);
   }

   public native void X(short var1, short var2);

   native void ge(ja var1, ba var2, int var3, int var4, int[] var5, int[] var6, int[] var7, int[] var8, short[] var9, int var10, short[] var11, short[] var12, short[] var13, byte[] var14, byte[] var15, byte[] var16, byte[] var17, short[] var18, short[] var19, int[] var20, byte var21, short[] var22, int var23, byte[] var24, short[] var25, short[] var26, short[] var27, int[] var28, int[] var29, int[] var30, byte[] var31, byte[] var32, int[] var33, int[] var34, int[] var35, int[] var36, int var37, int var38, int var39, int var40, int var41, int var42, int[] var43);

   public boolean method12101() {
      return true;
   }

   public native void bw(int var1);

   void method12256(int[] var1, Class328 var2) {
      this.aja7626.nc().method566(this, var1, var2);
   }

   public native int cc();

   native void gb(h var1, h var2, int var3, boolean var4, boolean var5);

   public native int YA();

   native void gz(long var1, int var3, int[] var4, int var5, int var6, int var7, int var8, boolean var9);

   native void gy(float[] var1, int var2, boolean var3);

   native void gn(h var1, h var2, int var3, boolean var4, boolean var5);

   public void method12054(byte var1, byte[] var2) {
      this.IA(var1, var2);
   }

   public void method12116(byte var1, byte[] var2) {
      this.IA(var1, var2);
   }

   native void gc(byte var1, byte[] var2);

   native void gw(byte var1, byte[] var2);

   native void gd(byte var1, byte[] var2);
}
